## org.hornetq.rest.queue
Class QueueDestinationsResource

    java.lang.Object
      org.hornetq.rest.queue.QueueDestinationsResource

    public class QueueDestinationsResource

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`QueueDestinationsResource(QueueServiceManager manager)`

Method Summary
`javax.ws.rs.core.Response` `createJmsQueue(javax.ws.rs.core.UriInfo uriInfo, org.w3c.dom.Document document)`
`QueueResource` `createQueueResource(java.lang.String queueName, boolean defaultDurable, int timeoutSeconds, boolean duplicates)`
`void` `deleteQueue(java.lang.String name)`
`QueueResource` `findQueue(java.lang.String name)`
`java.util.Map<java.lang.String,QueueResource>` `getQueues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueDestinationsResource

    public QueueDestinationsResource(QueueServiceManager manager)

Method Detail

### createJmsQueue

    public javax.ws.rs.core.Response createJmsQueue(@Context
                                                    javax.ws.rs.core.UriInfo uriInfo,
                                                    org.w3c.dom.Document document)

### getQueues

    public java.util.Map<java.lang.String,QueueResource> getQueues()

### deleteQueue

    public void deleteQueue(java.lang.String name)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findQueue

    public QueueResource findQueue(java.lang.String name)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### createQueueResource

    public QueueResource createQueueResource(java.lang.String queueName,
                                             boolean defaultDurable,
                                             int timeoutSeconds,
                                             boolean duplicates)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright © 2013. All Rights Reserved.